Bug 1250262 - Live images do not use eurlatgr console font by default
Live images do not use eurlatgr console font by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 18:30 EDT by Adam Williamson
Modified: 2017-07-31 13:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 13:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-08-04 18:30:33 EDT
To reproduce: boot a Fedora live image (22, 23 or Rawhide), go to tty2, log in as root, and run 'cat /usr/lib/kbd/consolefonts/README.eurlatgr'. Note all the greek characters are boxes.

The live images *do* have a correct /etc/vconsole.conf , but somehow it doesn't seem to be applied.

If you run '/usr/lib/systemd/systemd-vconsole-setup' from a tty after logging in, eurlatgr gets loaded in all TTYs. However, it's clear that the systemd-vconsole-setup.service service *did* run during boot, if you check systemctl output. If you boot with systemd.log_level=debug you can see from the messages that it seems to run properly, so far as I can see.

So...I'm not sure what's going on? Timing issue? Something more subtle?

This isn't going to be noticeable for a lot of people, I guess, but it gives us a bit of a problem with openQA - as we do matching on console screenshots, we kinda want the font used to be consistent between the live environment, anaconda environment, and installed system environment.
Comment 1 Jan Synacek 2015-08-05 06:02:24 EDT
This looks like a timing issue. I can reproduce this on a virtual machine with about 33% chance (using 4 CPUs). And the less CPUs I allocate for the VM, the less likely it seems to happen.
Comment 2 Adam Williamson 2015-08-05 06:12:58 EDT
Odd - it seemed to happen on all my tests and I only have 2 CPUs assigned to the virt guest. I'll try it a few more times tomorrow.
Comment 3 Jan Synacek 2015-08-05 07:12:27 EDT
Just for the record, I use the following to run the VM:

$ qemu-system-x86_64 -enable-kvm -m 2G -smp cpus=4 -cdrom Fedora-Live-Workstation-x86_64-23-20150804.iso
Comment 4 Marko Myllynen 2015-08-11 03:04:40 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1074624 was about fonts not taken into use but not sure had vconsole-setup been rerun already in your case.

If you tail README.eurlatgr from kbd-2.0.3 (or grab it from [1]), you should be at least able to determine which font is in use at that time.

1) http://git.altlinux.org/people/legion/packages/kbd.git?p=kbd.git;a=blob;f=data/consolefonts/README.eurlatgr
Comment 5 Adam Williamson 2015-08-11 03:15:52 EDT
I'm fairly sure it's just the firmware font. i.e. it's not that any other font has been loaded - no font has been loaded, and the system's still using the firmware one.
Comment 6 Jan Kurik 2016-02-24 10:41:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Fedora End Of Life 2017-07-25 15:05:08 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Marko Myllynen 2017-07-31 13:09:09 EDT
This seems to be fixed in Fedora 26.

Note You need to log in before you can comment on or make changes to this bug.